Raritan PX2/PX3 JSON-RPC API: powerlogic::PowerMeter_1_2_5 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
powerlogic::PowerMeter_1_2_5 Interface Reference

PowerLogic Power Meter Interface. More...

`import"PowerLogicPowerMeter.idl";`

Inheritance diagram for powerlogic::PowerMeter_1_2_5:

## Classes
struct | ErrorStatus
| Error status flags. More...
struct | L2L
| Structured object for line to line sensors. More...
struct | L2L_Avg
| Structured object for line to line sensors including average. More...
struct | L2N
| Structured object for line to neutral voltage sensors. More...
struct | L2N_Avg
| Structured object for line to neutral sensors including average. More...
struct | L2N_N_Avg
| Structured object for line to neutral sensors including neutral and average. More...
struct | L2N_plain_total
| Structured object for line to neutral voltage sensors. More...
struct | MinMaxReading
| Structured object grouping minimum, maximum and current sensor. More...
struct | Sensors
| Sensors. More...
struct | Setup
| PowerLogic Power Meter setup. More...

## Public Member Functions
Sensors | getSensors ()
| Get the sensors. More...
Setup | getSetup ()
| Read out Power Meter setup. More...
ErrorStatus | getErrorStatus ()
| Get error status. More...
void | resetAllMinMaxValues ()
| Reset the min/max values to defaults.
void | clearAllEnergyAccumulators ()
| Reset the energy accumulators to 0.
Public Member Functions inherited from modbus::Device
DeviceID | readDeviceIdentification ()
| Read the modbus encapsulated transport device identification (0x2B / 0x0E). More...

## Public Attributes
valueobject | SetupChangedEvent: idl::Event { Setup oldSetup
| Event: Power meter setup has changed. More...
Setup | newSetup
| Setup after change.
valueobject | ErrorStatusChangedEvent: idl::Event { ErrorStatus oldStatus
| Event: Error status has changed. More...
ErrorStatus | newStatus
| Error status flags after change.

## Detailed Description

PowerLogic Power Meter Interface.

## Member Function Documentation

## ◆ getErrorStatus()

ErrorStatus powerlogic::PowerMeter_1_2_5::getErrorStatus | ( |  | ) |

Get error status.

Returns
  ErrorStatus flags

## ◆ getSensors()

Sensors powerlogic::PowerMeter_1_2_5::getSensors | ( |  | ) |

Get the sensors.

Not available sensors will be 'null'.

Returns
  Power Meter sensors.

## ◆ getSetup()

Setup powerlogic::PowerMeter_1_2_5::getSetup | ( |  | ) |

Read out Power Meter setup.

Returns
  Power Meter setup

## Member Data Documentation

## ◆ ErrorStatusChangedEvent

valueobject powerlogic::PowerMeter_1_2_5::ErrorStatusChangedEvent

Event: Error status has changed.

Error status flags before change

## ◆ SetupChangedEvent

valueobject powerlogic::PowerMeter_1_2_5::SetupChangedEvent

Event: Power meter setup has changed.

Setup before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/PowerLogicPowerMeter.idl